This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502194 - (CVE-2009-0201) CVE-2009-0201 OpenOffice.org Word document buffer overflow
CVE-2009-0201 OpenOffice.org Word document buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,source=openoffice.or...
: Security
Depends On: 519163 519164 519165 519166 519167 519169 519170
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 09:53 EDT by Josh Bressers
Modified: 2009-09-07 15:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-04 06:37:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
final patch (3.64 KB, patch)
2009-08-21 08:10 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Josh Bressers 2009-05-22 09:53:23 EDT
Dyon Balding of Secunia Research has reported a flaw in OpenOffice.org's MS
Word handling code. When parsing the sprmTInsert record an buffer overflow flaw
can be triggered.
Comment 3 Caolan McNamara 2009-08-21 08:10:48 EDT
Created attachment 358231 [details]
final patch

combined patch with CVE-2009-0200/CVE-2009-0201
Comment 6 Vincent Danen 2009-09-01 10:25:50 EDT
This is public now: http://secunia.com/advisories/35036/
Comment 7 Fedora Update System 2009-09-02 03:42:32 EDT
openoffice.org-3.0.1-15.5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openoffice.org-3.0.1-15.5.fc10
Comment 8 Fedora Update System 2009-09-03 04:01:01 EDT
openoffice.org-3.0.1-15.6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/openoffice.org-3.0.1-15.6.fc10
Comment 10 Fedora Update System 2009-09-03 23:59:52 EDT
openoffice.org-3.0.1-15.6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 errata-xmlrpc 2009-09-04 06:24:33 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1426 https://rhn.redhat.com/errata/RHSA-2009-1426.html
Comment 12 Tomas Hoger 2009-09-04 06:37:00 EDT
F11 is already updated to fixed upstream version 3.1.1.
Comment 13 Tomas Hoger 2009-09-07 15:05:57 EDT
OpenOffice.org Security Bulletin:

http://www.openoffice.org/security/cves/CVE-2009-0200-0201.html

Fixed upstream in upstream versions 3.1.1 and 2.4.3.

Note You need to log in before you can comment on or make changes to this bug.